%  GetInfo.m - reads ctd, xbt and xctd event files to get general information.
%    needs variables set: DataDir CruiseName
%    sets variables: none
%    calls: readevent

%                get info on ctd casts and stations

filename = [DataDir '/' CruiseName '/Events/ctdevent.dat'];
[eventno,year,yearday,dayminute,gmtime,ctdlat,ctdlon,ctdxgrid,ctdygrid, ...
      ctdtotdepth,ctdsampledepth,ctdstation,ctdcast,ctdtype]= readevent(filename);

%                get info on xctd casts and stations

filename = [DataDir '/' CruiseName '/Events/xctdevent.dat'];
[eventno,year,yearday,dayminute,gmtime,xctdlat,xctdlon,xctdxgrid,xctdygrid, ...
      xctdtotdepth,xctdsampledepth,xctdstation,xctdcast,xctdtype]= readevent(filename);

%                get info on xbt casts and stations

filename = [DataDir '/' CruiseName '/Events/xbtevent.dat'];
[eventno,year,yearday,dayminute,gmtime,xbtlat,xbtlon,xbtxgrid,xbtygrid, ...
      xbttotdepth,xbtsampledepth,xbtstation,xbtcast,xbttype]= readevent(filename);


