%  plotPTO2.m - plot dissolved oxygen versus potential temperature.
%    needs variables set: DataDir CruiseName DepthResolution ctdcastlist 
%                          trange o2range o2units InfoString
%    sets variables: none
%    calls: readctd
%
S=[0 1];
PT=[0 1];

figure;
title([' Oxygen vs Potential Temperature']);
xlabel('Potential Temperature');
ylabel('Dissolved Oxygen (ml/l)');
axis([trange o2range]);
text(trange(1)+.1*(trange(2)-trange(1)),o2range(1)+.15*(o2range(2)-o2range(1)),InfoString);
text(trange(1)+.1*(trange(2)-trange(1)),o2range(1)+.1*(o2range(2)-o2range(1)),CruiseName);
hold on;

for cast = ctdcastlist
  file= [DataDir '/' CruiseName '/Ctd/' DepthResolution '/ctd' castnum(cast) '.dat'];
  [nlines,ndepths,desc,p,t,s,pt,r0,r1,bv,t0,t1,s0,s1,o2,par,tr,fl] = readctd(file);
%
  plot(pt,o2*o2units);
end

hold off;

