%  General matlab routines for use with Southern Ocean Globec
%
%  The routines were created by John Klinck (klinck@ccpo.odu.edu).
%        October, 2002
%
%  Grid Routines  - these routines convert between latitude,longitude pairs
%                    to a universal transverse mercator grid based on
%                    kilometers alongshore and across shore from a base point.
%
%     getlatlon.m -  sample routine to convert grid x,y to lat,lon
%          calls: grid2ll
%
%     getxy.m     -  sample routine to convert lat,lon to grid x,y
%          calls: ll2grid
%
%     grid2ll.m   - function to convert grid x,y to lat,lon
%          calls: setuputm, 
%          contains function: utm2ll
%
%     ll2grid.m   - function to convert lat,lon to grid x,y
%          calls: setuputm, 
%          contains function: ll2utm
%
%     setuputm.m  - function to define a number of constants used in the
%                   conversion. 
%
%     testgetlatlon.m -  tests these routines using known points
%          calls: grid2ll
%
%     testgetxy.m     -  tests these routines using known points
%          calls: ll2grid
%
